new;

fn rndu2(r,c,a,b) = a + (b-a) .* rndu(r,c);

proc pdfn2(x1,x2,mu1,mu2,sigma1,sigma2,rho);
  local w,x12,pdf;

  w = 1 - rho^2;

  x1 = (x1 - mu1)/sigma1;
  x2 = (x2 - mu2)/sigma2;
  pdf = x1^2 - 2 * rho * x1 .* x2 + x2^2;
  pdf = exp(-0.5*pdf/w)/(2*pi*sigma1*sigma2*sqrt(w));
  
  retp(pdf);
endp;

fn pdfn2_cr(x,y,rho) = pdfn2(x,y,0,0,1,1,rho);

r = 1;
 
rho = 0.5;

ns = 50000;
x = rndu2(ns,1,-r,r);
y = rndu2(ns,1,-r,r);
e = x^2 + y^2 .<= r^2;
aire = 4*r^2;
I = aire * sumc(pdfn2_cr(x,y,rho) .* e)/ns;

print r~I;