new;

x = rndu(5,5);
y = x'x;

c = chol(y);     // Cholesky decomposition of a symmetric, positive definite matrix
i = invpd(y);    // Inverse of a symmetric, positive definite matrix

i = pinv(x|x);   // Moore-Penrose pseudo-inverse of a matrix

c = ln(-x);      // Logarithm of the elements of the matrix --> c is a complex matrix

i = inv(c);      // Inverse of a complex matrix 

{h,z} = hess(x); // Hessenberg form of a square matrix: h = z'x*z 

{va1,va2} = lapgeig(x,y);      // Generalized eigenvalues for a pair of real or complex general matrices
{sa,sb,q,z} = lapgschur(x,y);  // generalized Schur form of a pair of real or complex general matrices

