new;
library ritme,optmum,pgraph;

declare matrix threshold;

load x[] = lynx.asc;
x = log(x);

proc setar(c);
  local n,beta,u,i;

  n = rows(x);
  beta = c[1:11];
  u = miss(zeros(n,1),0);

  i = 3;
  do until i > n;
    if x[i-2] > threshold;
      u[i] = x[i] - beta[9] - beta[10]*x[i-1] - beta[11]*x[i-2];
    else;
      if i < 8;
        i = i + 1;
        continue;
      endif;
      u[i] = x[i] - beta[1] - beta[2:8]'x[i-1:i-7];
    endif;
    i = i + 1;
  endo;

  retp(u);
endp;

xs = trimr(sortc(x,1),10,10); 
n = rows(xs);
rss = zeros(n,1);
beta = zeros(11,n);
sv = zeros(11,1);

__output = 0;
_nlls_cov = 0;

i = 1;
do until i > n;

  cls;
  locate 5,5;
  print /flush ftos(i,"Iteration no. %lf",5,0);

  threshold = xs[i];
  {beta[.,i],stderr,cov,u} = nlls(&setar,sv);
  u = packr(u);
  rss[i] = u'u;
  sv = beta[.,i];

  i = i + 1;
endo;

output file = nlls2.out reset;

opt = xs[minindc(rss)];
print ftos(opt,"Optimal value of the threshold: %lf",4,3);
_nlls_cov = 1; __output = 1;
threshold = 3.116;
{beta,stderr,cov,u} = nlls(&setar,sv);

output off;

graphset;
  _pdate = ""; _pnum = 2; _plwidth = 5; _pframe = 0;
  xlabel("\214threshold");
  ylabel("\214rss");
  _pline = 1~3~opt~0~opt~10~1~15~5 | 
           1~4~3.116~0~3.116~10~1~12~5 ;
  graphprt("-c=1 -cf=nlls2.ps");
  xy(xs,rss);

