/*
** ols1.prg
**
*/

new;

rndseed 123; 

Nobs = 100;
K = 5;
sigma = 0.5;


x = ones(Nobs,1)~rndu(Nobs,K);
beta = seqa(1,1,K+1);
y = x*beta + rndn(Nobs,1)*sigma;

output file = ols1.out reset;

call ols(0,y,x);

output off;
