new;
library ritme;

load data[15,4] = greene1.asc;

constant = ones(15,1);
trend = seqa(1,1,15);

y = data[.,1];
x = constant~trend~data[.,2 3 4];

let __altnam = "Constant" "Trend" "GNP" "Int.rate" "Inf.rate";

output file = ols5.out reset;

{beta,stderr,cov,u} = ols(y,x);

output off;

let x0[1,5] = 1 16 1.5 10 4;
{y0,s0} = ols_predict(y,x,x0);
t = cdftci(0.05/2,10);

output file = ols5.out on;

print "         Lower           Predict          Upper";
print y0+(-1~0~1).*t*s0;

output off;