new;
library pgraph;

data = loadd("jdata");

grp = data[.,1]; x = data[.,2]; y = data[.,3];

nobs = rows(data);
beta = y / x;

z = seqa(0,70/(nobs-1),nobs);

graphset;
  _pdate = ""; _pframe = 0; _pcross = 1; _pnum = 2;
  _plctrl = -1|0; _pstype = 9; _psymsiz = 3.5;
  _pltype = 6; _plwidth = 5;
  xlabel("\214x");
  ylabel("\214y");
  graphprt("-c=1 -cf=panel2.ps");
  xy(x~z,y~beta*z);


