new;
library ritme;

let mu[6,1] = 15.852
              14.262
              31.336
              25.775
              50.228
              14.842;

let sigma[6,1] = 37.215
                 41.773
                 33.165
                 62.009
                 60.720
                 23.757;

let cor[6,6] =   1.000  0.944  0.146  0.231  0.379  0.258
                 0.944  1.000  0.109  0.239  0.413  0.223
                 0.146  0.109  1.000 -0.169 -0.229  0.691
                 0.231  0.239 -0.169  1.000  0.882 -0.256
                 0.379  0.413 -0.229  0.882  1.000 -0.284
                 0.258  0.223  0.691 -0.256 -0.284  1.000;  

cov = cor .* sigma .* sigma';

psi = seqa(20,10,6);
{alpha,ER,SD} = PortfolioOptimization(mu,cov,psi);
cls;

output file = po1.out reset;

format /rd 10,3;
print "===================================================================";
print "             PREFERENCE DE L'INVESTISSEUR POUR LE RETURN           ";
print "-------------------------------------------------------------------";
print seqa(20,10,6)';
print "===================================================================";
print "                    RENDEMENT MOYEN DU PORTEFEUILLE                ";
print "-------------------------------------------------------------------";
print ER;
print "===================================================================";
print "                         RISQUE DU PORTEFEUILLE                    ";
print "-------------------------------------------------------------------";
print SD;
print "===================================================================";
print "                       COMPOSITION DU PORTEFEUILLE                 ";
print "-------------------------------------------------------------------";
print alpha';
print "===================================================================";

output off;

