/*
** ols2.prg
**
*/

new;

rndseed 123; 

Nobs = 100;
K = 5;
sigma = 0.5;


x = ones(Nobs,1)~rndu(Nobs,K);
beta = seqa(1,1,K+1);
y = x*beta + rndn(Nobs,1)*sigma;

output file = ols2.out reset;

{vnam,m,b,stb,vc,stderr,sigma,cx,rsq,resid,dwstat} = ols(0,y,x);
print b;
print $vnam;

{vnam,vnam,vnam,stb,vc,stderr,sigma,cx,sigma,resid,dwstat} = ols(0,y,x);
print $vnam;
print sigma;

output off;

