/*
** ols3.prg
**
*/

new;
library gauss;

rndseed 123; 

Nobs = 100;
K = 5;
sigma = 0.5;


x = ones(Nobs,1)~rndu(Nobs,K);
beta = seqa(1,1,K+1);
y = x*beta + rndn(Nobs,1)*sigma;

output file = ols3.out reset;

__output = 0;
{vnam,m,b,stb,vc,stderr,sigma,cx,rsq,resid,dwstat} = ols(0,y,x);
print b;

__output = 1;
let __altnam = C AGE SEXE TAILLE POIDS PAYS NOTE;
{vnam,m,b,stb,vc,stderr,sigma,cx,rsq,resid,dwstat} = ols(0,y,x);

output off;

