new;
library pgraph;

data = loadd("jdata");

y = data[.,3];
x = ones(rows(data),1)~data[.,2];

bols = invpd(x'x)*x'y;

print "bols = " bols; 

d = dummy(data[.,1],1|2|3);
x = data[.,2] ~ d;

theta = invpd(x'x)*x'y;

beta = theta[1];
gamma_ = trimr(theta,1,0);

print "beta = " beta;
print "gamma = " gamma_;

u = y - x*theta;
u = d .* u;

m = sumc(u) ./ sumc(d);
sigma = sqrt( sumc(u^2)./sumc(d) - m^2);

print m~sigma;
