new;
library ritme;

#include po.inf;

psi = 20;    /* Preference de l'investisseur pour le return */

output file = po3.out reset;

print "L'agent desire detenir 1/3 de son portefeuille en actions du secteur finance";
print "et 2/3 en actions du secteur informatique";

_PO_A = {1 1 0 0 0 0,
         0 0 1 1 1 1};
_PO_B = {0.334,0.666};
_PO_C = 0; _PO_D = 0; _PO_bnds = 0;

{alpha,ER,SD} = PortfolioOptimization(mu,cov,psi);
print alpha;

print "L'agent desire detenir au mois 25% de son portefeuille en actions Painer Webber";

_PO_A = 0; _PO_B = 0; // _PO_C = eye(6); _PO_D = 0|0.25|0|0|0|0; _PO_bnds = 0;
_PO_C = 0; _PO_D = 0;
_PO_bnds = {0 1, 0.25 1, 0 1, 0 1, 0 1, 0 1};

{alpha,ER,SD} = PortfolioOptimization(mu,cov,psi);
print alpha;

print "L'agent desire recomposer son portefeuille (+/- 10%)";

alpha0 = 0.15|0.20|0.17|0.14|0.04|0.30;

_PO_A = 0; _PO_B = 0; _PO_C = 0; _PO_D = 0;
_PO_bnds = alpha0 + (-0.10~0.10);

{alpha,ER,SD} = PortfolioOptimization(mu,cov,psi);

print "Portefeuille d'origine    Nouveau portefeuille";
print alpha0~alpha;

SD0 = sqrt(alpha0'*cov*alpha0);
ER0 = alpha0'mu;

print "Rendement moyen ";
print ER0~ER;
print "Risque";
print SD0~SD;

output off;


